Updates the purchase order order lines with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "fed492f7-a2ea-4483-890d-f8946d04ed03",
"purchase_order_id": "53245d31-d305-4036-a1c6-487f28eccbd7",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "09baa78b-748d-4fe1-afa1-7eff69ad0222",
"id2": 2,
"jobs_id": "87800ebe-3e2a-4a9b-a99a-e60345305b67",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "f367816f-375a-42e6-8252-dbe4303d4099",
"supplier_company_code": "sample string 6",
"user_id": "5de8745d-ae39-4ae3-a942-361a4a975b51",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-23T16:22:56.8743712+00:00",
"date_update": "2026-10-23T16:22:56.8743712+00:00",
"date_delivery": "2026-10-23T16:22:56.8743712+00:00",
"confirmed_date_delivery": "2026-10-23T16:22:56.8743712+00:00",
"delivery_db_address_id": "45b91d0c-3f23-4a92-9cb6-3be019575d3c",
"approved_by_user_id": "86f3b54f-dce6-4062-8966-74911116881f",
"approved_by_user_code": "sample string 18",
"technical_user_id": "ba50f7ef-e8d3-49e9-8a5e-810a5c01c37a",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "626c3ba1-4934-411c-9590-4b8729b6cbbe",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "381cbdfc-4019-4c54-a7e0-9b294edbc6b8",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-23T16:22:56.8900245+00:00"
},
"article_id": "33df29db-5fdc-4483-ba2b-3d86a2e7edaf",
"article_code": "sample string 5",
"article": {
"id": "bd3bdb5d-1dc0-4b0c-b089-113c02eaf0ea",
"article_category_id": "3213d66b-9618-4b23-b3d5-afd0d5ff7d3c",
"article_category": {
"id": "870bb6f6-065d-476b-a3a7-335ca3bf592b",
"parent_id": "7bf5d508-6756-4fe2-99ca-e08920f76f82",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-23T16:22:56.8900245+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "5e23d7ab-8aa2-4a6e-8c38-a2d4a7f7f0b2",
"article_group_1_code": "sample string 5",
"article_group_2_id": "5a5db79d-78b2-44b1-8742-dea0bde06a87",
"article_group_2_code": "sample string 7",
"article_group_3_id": "45ae8409-0501-44de-a677-f557be05b845",
"article_group_3_code": "sample string 9",
"article_group_4_id": "368c91c3-0d76-4c78-b8a3-7dc8abb8f5a1",
"article_group_4_code": "sample string 11",
"article_group_5_id": "dba21580-4f04-4598-ae36-ddf589200003",
"article_group_5_code": "sample string 13",
"article_group_6_id": "81123180-16be-48f9-ba34-4b81ac4f2c88",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-23T16:22:56.8900245+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-23T16:22:56.8900245+00:00",
"date_update": "2026-10-23T16:22:56.8900245+00:00",
"modified_dateutc": "2026-10-23T16:22:56.8900245+00:00",
"article_color_id": "c4bb9465-14bf-4d69-8d31-b354fe9d789c",
"article_color_code": "sample string 38",
"article_color": {
"id": "9498e9ca-5e1a-4f78-9562-a30b73b011a9",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-23T16:22:56.8900245+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "c8a44590-21f8-4337-864d-7c1542ce4def",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "5148c5ad-9b4c-4cc9-93ae-d4d480942b1f",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-23T16:22:56.8900245+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.